Bug 59633 - Menus "Save Test Plan as", "Save as Test Fragment" and "Save Selection as ..." should use a new file name in File Dialog
Summary: Menus "Save Test Plan as", "Save as Test Fragment" and "Save Selection as ......
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.1
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2016-05-25 14:08 UTC by Ken Coppage
Modified: 2019-01-08 07:44 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Coppage 2016-05-25 14:08:11 UTC
In an opened script if you perform "Save As" function using a new different name the opened file does not change to the new Save As file name like it does in Window.  The old file name remains and you likely will overwrite the new changes to the old file.

This is a problem when you are creating versions of an existing baseline file, in that you perform a SAVE AS, then and have to Close the existing file WITHOUT saving it and then open the new file name.  If you save the open file the changes just made are applied corrupting the old file.

Have seen this problem in version 2.13 and version 3.0.
Comment 1 Felix Schumacher 2016-06-06 19:12:43 UTC
There are three different "save as" entries. Only one changes the current testplan name. It is the one named "Save Test Plan as" and can be invoked with Ctrl+Shift+s.

Feel free to re-open this entry, if you think there is still an error.
Comment 2 Ken Coppage 2016-06-06 19:22:20 UTC
the resolution you suggest is not on the toolbar of functions.  So it does not default to Save As Test Plan, just Selection.  This is very confusing for normal Windows platform users.  If the function was added to the tool ribbon then ok that would help.

I personally think it causes over-writes of existing scripts accidently.

Now I know what to do, but I foresee problems with other team members who are new to Jmeter.  Not many people save files by going FILE first, when the ribbon show normal options.

Just speaking from a clarity standpoint.
Comment 3 Philippe Mouawad 2018-12-26 17:57:35 UTC
Author: pmouawad
Date: Wed Dec 26 17:57:10 2018
New Revision: 1849774

URL: http://svn.apache.org/viewvc?rev=1849774&view=rev
Log:
Bug 59633 Menus "Save Test Plan as", "Save as Test Fragment" and "Save Selection as ..." should use a new file name in File Dialog
Bugzilla Id: 59633

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Save.java
    jmeter/trunk/xdocs/changes.xml
Comment 4 Philippe Mouawad 2019-01-08 07:44:32 UTC
Author: pmouawad
Date: Tue Jan  8 07:44:03 2019
New Revision: 1850715

URL: http://svn.apache.org/viewvc?rev=1850715&view=rev
Log:
Bug 59633 : Menus <code>Save Test Plan as</code>, <code>Save as Test Fragment</code> and <code>Save Selection as ...</code> should use a new file name in File Dialog
Bugzilla Id: 59633

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Save.java